This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 892109 - mrpt is non-free (licensed under AFPL) file included
mrpt is non-free (licensed under AFPL) file included
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: mrpt (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rich Mattes
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-Legal
  Show dependency treegraph
 
Reported: 2013-01-05 03:54 EST by mejiko
Modified: 2013-01-07 13:43 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-07 13:43:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description mejiko 2013-01-05 03:54:37 EST
Hello.

mrpt included non-free files.

Source RPM is "mrpt-0.9.5-0.2.20110917svn2662.fc17.src.rpm"



Files and licenses:

File:

mrpt-0.9.5/libs/base/src/utils/xmlparser/xmlParser.h 

License: AFPL and BSD

But BSD license apply is "project specific". (see "mrpt-0.9.5/libs/base/src/utils/xmlparser/xmlParser.h" datails.)

Its non-free.

Note: AFPL is "Aladdin Free Public License".


Suggests:

1. Remove non-free file and rebuild.
2. replace to fedora-free code. (e.g libxml)
3. Remove to fedora repos.

Thanks.



Reference:

https://www.gnu.org/licenses/license-list.html#NonFreeSoftwareLicense
http://artifex.com/downloads/doc/Public.htm
https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#Bad_Licenses
Comment 1 mejiko 2013-01-05 03:55:16 EST
Blocking FE-Legal, This is license problem.
Comment 2 Tom "spot" Callaway 2013-01-07 13:43:40 EST
Red Hat Legal reviewed the "specificity" clause and determined that it was acceptable to treat the xmlParser code as BSD within the mrpt package. Closing NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.